Skip to main content
POST
Cancel Onboarding
Cancels an onboarding of a recipient. An onboarding in status SUCCEEDED, BLOCKED, CANCELLED, INACTIVE, TRANSFERRED or TERMINATED cannot be cancelled, and the API returns 400 INVALID_STATE. A cancelled onboarding is final. To onboard the recipient with the provider again, create a new onboarding.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

recipient_id
string
required

The unique identifier of the recipient

onboarding_id
string
required

The unique identifier of the onboarding associated with this action.

Response

Onboarding cancelled successfully

id
string

The unique identifier of the onboarding.

type
enum<string>

Type of onboarding flow.

Available options:
PREVIOUSLY_ONBOARDED,
ONE_STEP_ONBOARDING,
TWO_STEP_ONBOARDING
workflow
enum<string>

Workflow of the onboarding.

Available options:
HOSTED_BY_PROVIDER,
DIRECT
status
string

Current status of the onboarding. CANCELLED after a cancel.

callback_url
string

URL to redirect after the onboarding process.

provider
object
documentation
object[]
requirements
any[]
withdrawal_methods
object
terms_of_service
object
recipient
object

The recipient the onboarding belongs to.

history
object

Snapshot of the onboarding.

created_at
string<date-time>
updated_at
string<date-time>